import { Plugins } from './plugins';
import { EmbarkEmitter as Events } from './events';
import { dappPath, File } from 'embark-utils';
import { Logger } from 'embark-logger';
export interface EmbarkConfig {
    app?: any;
    contracts: string[];
    config: string;
    versions: {
        solc: string;
    };
    generationDir?: string;
    plugins?: any;
    buildDir?: string;
    migrations: string;
}
export declare class Config {
    env: string;
    blockchainConfig: any;
    contractsConfig: any;
    pipelineConfig: any;
    namesystemConfig: any;
    communicationConfig: any;
    webServerConfig: any;
    storageConfig: any;
    chainTracker: any;
    assetFiles: any;
    contractsFiles: File[];
    configDir: string;
    chainsFile: string;
    plugins: Plugins;
    logger: Logger;
    package: any;
    events: Events;
    embarkConfig: EmbarkConfig;
    context: any;
    version: string;
    locale: string;
    corsParts: string[];
    providerUrl: string;
    contractDirectories: string[];
    buildDir: any;
    client: string;
    dappPath: typeof dappPath;
    constructor(options: any);
    setConfig(configName: any, newConfig: any, cb: any): void;
    registerEvents(): void;
    loadConfigFiles(options: any): void;
    reloadConfig(): void;
    loadContractFiles(): void;
    _updateBlockchainCors(): void;
    _loadConfigFile(configFilePath: any, defaultConfig: any, enabledByDefault?: boolean): any;
    _doMergeConfig(config: any, defaultConfig: any, env: any): any;
    _loadAndMergeConfig(configFilePath: any, defaultConfig: any, env: any, enabledByDefault?: boolean): any;
    _getFileOrObject(object: any, filePath: any, property: any): any;
    loadBlockchainConfigFile(): void;
    loadContractsConfigFile(): void;
    loadExternalContractsFiles(): void;
    loadStorageConfigFile(): void;
    loadNameSystemConfigFile(): void;
    loadCommunicationConfigFile(): void;
    loadWebServerConfigFile(): void;
    loadEmbarkConfigFile(): void;
    loadPipelineConfigFile(): void;
    loadAssetFiles(): void;
    loadFiles(files: any): File[];
    loadPluginContractFiles(): void;
}
//# sourceMappingURL=config.d.ts.map