"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.getBlockchainDefaults = getBlockchainDefaults;
exports.getContractDefaults = getContractDefaults;

var _embarkUtils = require("embark-utils");

var _fsExtra = require("fs-extra");

var _path = require("path");

const constants = (0, _fsExtra.readJsonSync)((0, _path.join)(__dirname, '../constants.json'));

function getBlockchainDefaults(env) {
  const defaults = {
    clientConfig: {
      miningMode: 'dev' // Mode in which the node mines. Options: dev, auto, always, off

    },
    enabled: true,
    client: constants.blockchain.clients.ganache,
    proxy: true,
    datadir: `.embark/${env}/datadir`,
    rpcHost: "localhost",
    rpcPort: 8545,
    rpcCorsDomain: {
      auto: true,
      additionalCors: []
    },
    wsRPC: true,
    wsOrigins: {
      auto: true,
      additionalCors: []
    },
    wsHost: "localhost",
    wsPort: 8546,
    networkType: "custom",
    isDev: true,
    nodiscover: true,
    maxpeers: 0,
    targetGasLimit: 8000000,
    simulatorBlocktime: 0
  };
  return {
    default: defaults,
    test: defaults
  };
}

function getContractDefaults(embarkConfigVersions) {
  const defaultVersions = {
    solc: "0.6.1"
  };
  const versions = (0, _embarkUtils.recursiveMerge)(defaultVersions, embarkConfigVersions || {});
  return {
    default: {
      library: "embarkjs",
      versions,
      dappConnection: ["$WEB3", "ws://localhost:8546", "localhost:8545"],
      dappAutoEnable: true,
      strategy: constants.deploymentStrategy.implicit,
      gas: "auto",
      deploy: {}
    }
  };
}
//# sourceMappingURL=configDefaults.js.map