"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime-corejs3/helpers/interopRequireWildcard");

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.mkdirpSync = mkdirpSync;
exports.mkdirp = mkdirp;
exports.readdir = readdir;
exports.stat = stat;
exports.remove = remove;
exports.copy = copy;
exports.copySync = copySync;
exports.move = move;
exports.moveSync = moveSync;
exports.symlink = symlink;
exports.appendFileSync = appendFileSync;
exports.writeFile = writeFile;
exports.writeFileSync = writeFileSync;
exports.readFile = readFile;
exports.readFileSync = readFileSync;
exports.readdirSync = readdirSync;
exports.statSync = statSync;
exports.readJSONSync = readJSONSync;
exports.writeJSONSync = writeJSONSync;
exports.outputJSONSync = outputJSONSync;
exports.writeJson = writeJson;
exports.existsSync = existsSync;
exports.ensureFileSync = ensureFileSync;
exports.ensureDirSync = ensureDirSync;
exports.access = access;
exports.removeSync = removeSync;
exports.createWriteStream = createWriteStream;
exports.copyPreserve = copyPreserve;
exports.outputFileSync = outputFileSync;

var _embarkUtils = require("embark-utils");

var fs = _interopRequireWildcard(require("fs-extra"));

var _parseJson = _interopRequireDefault(require("parse-json"));

var path = _interopRequireWildcard(require("path"));

require("colors");

/* global module process require */

/* tslint:disable */
function mkdirpSync(args) {
  return fs.mkdirpSync(args);
}

function mkdirp(args, args2) {
  return fs.mkdirp(args, args2);
}

function readdir(args, args2) {
  return fs.readdir(args, args2);
}

function stat(args, args2) {
  return fs.stat(args, args2);
}

function remove(args, args2) {
  return fs.remove(args, args2);
}

function copy(args, args2, args3, args4) {
  return fs.copy(args, args2, args3, args4);
}

function copySync(args, args2, args3) {
  return fs.copySync(args, args2, args3);
}

function move(args, args2, args3, args4) {
  return fs.move(args, args2, args3, args4);
}

function moveSync(args, args2, args3) {
  return fs.moveSync(args, args2, args3);
}

function symlink(args, args2, args3, args4) {
  return fs.symlink(args, args2, args3, args4);
}

function appendFileSync(args, args2, args3) {
  return fs.appendFileSync(args, args2, args3);
}

function writeFile(args, args2, args3, args4) {
  return fs.writeFile(args, args2, args3, args4);
}

function writeFileSync(args, args2, args3) {
  return fs.writeFileSync(args, args2, args3);
}

function readFile(args, args2, args3) {
  return fs.readFile(args, args2, args3);
}

function readFileSync(args, args2) {
  return fs.readFileSync(args, args2);
}

function readdirSync(args, args2) {
  return fs.readdirSync(args, args2);
}

function statSync(args) {
  return fs.statSync(args);
}

function readJSONSync(args, args2) {
  let json;

  try {
    json = (0, _parseJson.default)(readFileSync(args, args2).toString());
  } catch (e) {
    console.error('error: '.red + args.green.underline + ' ' + e.message.green);
    process.exit(1);
  }

  return json;
}

function writeJSONSync(args, args2, args3) {
  return fs.writeJSONSync(args, args2, args3);
}

function outputJSONSync(args, args2, args3) {
  return fs.outputJSONSync(args, args2, args3);
}

function writeJson(args, args2, args3, args4) {
  return fs.writeJson(args, args2, args3, args4);
}

function existsSync(args) {
  return fs.existsSync(args);
}

function ensureFileSync(args) {
  return fs.ensureFileSync(args);
}

function ensureDirSync(args, args2) {
  return fs.ensureDirSync(args, args2);
}

function access(args, args2, args3) {
  return fs.access(args, args2, args3);
}

function removeSync(args) {
  return fs.removeSync(args);
}

function createWriteStream(args, args2) {
  return fs.createWriteStream(args, args2);
}

function copyPreserve(sourceFilePath, targetFilePath) {
  const implementation = (sourceFilePath, targetFilePath) => {
    let ext = 1;
    let preserved = targetFilePath;

    while (fs.existsSync(preserved)) {
      const extname = path.extname(targetFilePath);
      preserved = (0, _embarkUtils.joinPath)(path.dirname(targetFilePath), `${path.basename(targetFilePath, extname)}.${ext}${extname}`);
      ext++;
    }

    if (preserved !== targetFilePath) {
      fs.copySync(targetFilePath, preserved);
    }

    fs.copySync(sourceFilePath, targetFilePath);
  };

  return implementation(sourceFilePath, targetFilePath);
}

function outputFileSync(args, args2, args3) {
  return fs.outputFileSync(args, args2, args3);
}
//# sourceMappingURL=fs.js.map