"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.TestLogger = void 0;

var _indexOf = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/index-of"));

require('colors'); // TODO: just logFunction changes, probably doesn't need a whole new module just
// for this


class TestLogger {
  constructor(options) {
    this.logLevels = ['error', 'warn', 'info', 'debug', 'trace'];
    this.logLevel = options.logLevel || 'info';
  }

  logFunction() {
    console.log(...arguments);
  }

  error(txt) {
    if (!this.shouldLog('error')) {
      return;
    }

    this.logFunction(txt.red);
  }

  warn(txt) {
    if (!this.shouldLog('warn')) {
      return;
    }

    this.logFunction(txt.yellow);
  }

  info(txt) {
    if (!this.shouldLog('info')) {
      return;
    }

    this.logFunction(txt.green);
  }

  debug(txt) {
    if (!this.shouldLog('debug')) {
      return;
    }

    this.logFunction(txt);
  }

  trace(txt) {
    if (!this.shouldLog('trace')) {
      return;
    }

    this.logFunction(txt);
  }

  shouldLog(level) {
    var _context, _context2;

    return (0, _indexOf.default)(_context = this.logLevels).call(_context, level) <= (0, _indexOf.default)(_context2 = this.logLevels).call(_context2, this.logLevel);
  }

}

exports.TestLogger = TestLogger;
//# sourceMappingURL=test_logger.js.map